{{ $isPreRelease := partial "functions/is-pre-release-version.html" . }}

<!-- Grab landing.yaml from current site language. Default is "en"/English -->
{{ $bannerData := index .Context.Site.Data .Context.Lang "banner" }}

{{/* Only show the survey banner if this is the production (pre-release) site and show_survey_banner is true */}}
{{- if and ($bannerData.show_survey_banner) (eq $isPreRelease "true") (eq .type "survey") -}}
  <div data-vue-app="survey-banner">
    {{ $bannerData.description | markdownify }}
  </div>
{{- end -}}

{{/* Only show archive banner if we are not on the pre-release version, and showArchiveBanner is true */}}
{{- if and (eq $isPreRelease "false") (eq .type "archive") -}}
  <div id="js-version-banner"></div>
{{- end -}}
